import {
  CreateSightPage,
  DevicesPage,
  EditSightPage,
  LoginPage,
  MainPage,
  SightPage,
} from "@pages";
import { authStore } from "@shared";
import { Layout } from "@widgets";

import { Navigate, Outlet, Route, Routes } from "react-router-dom";

const ProtectedRoute = ({ children }: { children: React.ReactNode }) => {
  const { isAuthenticated } = authStore;
  if (!isAuthenticated) {
    return <Navigate to="/login" />;
  }
  return children;
};
export const Router = () => {
  return (
    <Routes>
      <Route
        path="/"
        element={
          <Layout>
            <Outlet />
          </Layout>
        }
      >
        <Route path="/" element={<MainPage />} />
        <Route path="/sight" element={<SightPage />} />
        <Route path="/sight/:id" element={<EditSightPage />} />
        <Route path="/sight/create" element={<CreateSightPage />} />
        <Route path="/devices" element={<DevicesPage />} />
      </Route>

      <Route path="/login" element={<LoginPage />} />
    </Routes>
  );
};
